<?xml version="1.0" encoding="GB2312"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration = "yes" indent="yes" version="4.0"/>
	<!--
	Copyright (C) 2007,2008 NewAsp.Net. All rights reserved.
	Written by newasp.cn Sunwin
	-->
<xsl:template match="/">
	<xsl:choose>
		<xsl:when test="/xml/@action='1'">
			<xsl:call-template name="userinfolist"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="userinfolist"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template name="userinfolist">
	<ul class="userliststrap">
		<xsl:for-each select="xml/topiclist/row">
			<li><span style="float:right;margin:0 5px;"><xsl:value-of select="@points" disable-output-escaping="yes"/></span> <a rel="external" href="{$installdir}usertopic.asp?userid={@userid}"><xsl:value-of select="@username" disable-output-escaping="yes"/></a></li>
		</xsl:for-each>
	</ul>
</xsl:template>
</xsl:stylesheet>